
public class Class497 {

   int anInt5920;
   short[] aShortArray5921;
   int anInt5922;
   public int anInt5923 = 373049751;
   short[] aShortArray5924;
   Class498 aClass498_5925;
   short[] aShortArray5926;
   short[] aShortArray5927;
   int anInt5928 = -586602624;
   byte[] aByteArray5929;
   int anInt5930 = -1302040960;
   int anInt5931 = 0;
   int anInt5932 = 0;
   int anInt5933 = -1606527773;
   int anInt5934 = 0;
   public boolean aBool5935 = false;
   public byte aByte5936 = 0;
   byte[] aByteArray5937;
   static boolean aBool5938;


   void method8306(RS2Buffer var1, int var2, byte var3) {
      if(var2 == 1) {
         this.anInt5922 = var1.readLargeSmart(2084928707) * -1249433363;
      } else if(var2 == 2) {
         this.anInt5923 = var1.readLargeSmart(1832732597) * -373049751;
      } else if(4 == var2) {
         this.anInt5930 = var1.readUnsignedShort(-937710807) * 1399113949;
      } else if(var2 == 5) {
         this.anInt5928 = var1.readUnsignedShort(-937710807) * 901386831;
      } else if(var2 == 6) {
         this.anInt5932 = var1.readUnsignedShort(-937710807) * 2134483785;
      } else if(7 == var2) {
         this.anInt5934 = var1.readUnsignedByte(-700559597) * -556354819;
      } else if(var2 == 8) {
         this.anInt5931 = var1.readUnsignedByte(-700559597) * 968339745;
      } else if(9 == var2) {
         this.aByte5936 = 3;
         this.anInt5933 = 765002656;
      } else if(var2 == 10) {
         this.aBool5935 = true;
      } else if(11 == var2) {
         this.aByte5936 = 1;
      } else if(12 == var2) {
         this.aByte5936 = 4;
      } else if(var2 == 13) {
         this.aByte5936 = 5;
      } else if(var2 == 14) {
         this.aByte5936 = 2;
         this.anInt5933 = var1.readUnsignedByte(-700559597) * -1045750528;
      } else if(var2 == 15) {
         this.aByte5936 = 3;
         this.anInt5933 = var1.readUnsignedShort(-937710807) * 1606527773;
      } else if(16 == var2) {
         this.aByte5936 = 3;
         this.anInt5933 = var1.readInt_(1088757675) * 1606527773;
      } else {
         int var4;
         int var5;
         if(40 == var2) {
            var4 = var1.readUnsignedByte(-700559597);
            this.aShortArray5924 = new short[var4];
            this.aShortArray5921 = new short[var4];

            for(var5 = 0; var5 < var4; ++var5) {
               this.aShortArray5924[var5] = (short)var1.readUnsignedShort(-937710807);
               this.aShortArray5921[var5] = (short)var1.readUnsignedShort(-937710807);
            }
         } else if(41 == var2) {
            var4 = var1.readUnsignedByte(-700559597);
            this.aShortArray5926 = new short[var4];
            this.aShortArray5927 = new short[var4];

            for(var5 = 0; var5 < var4; ++var5) {
               this.aShortArray5926[var5] = (short)var1.readUnsignedShort(-937710807);
               this.aShortArray5927[var5] = (short)var1.readUnsignedShort(-937710807);
            }
         } else {
            int var6;
            int var7;
            byte var8;
            if(44 == var2) {
               var4 = var1.readUnsignedShort(-937710807);
               var5 = 0;

               for(var6 = var4; var6 > 0; var6 >>= 1) {
                  ++var5;
               }

               this.aByteArray5937 = new byte[var5];
               var8 = 0;

               for(var7 = 0; var7 < var5; ++var7) {
                  if((var4 & 1 << var7) > 0) {
                     this.aByteArray5937[var7] = var8++;
                  } else {
                     this.aByteArray5937[var7] = -1;
                  }
               }
            } else if(45 == var2) {
               var4 = var1.readUnsignedShort(-937710807);
               var5 = 0;

               for(var6 = var4; var6 > 0; var6 >>= 1) {
                  ++var5;
               }

               this.aByteArray5929 = new byte[var5];
               var8 = 0;

               for(var7 = 0; var7 < var5; ++var7) {
                  if((var4 & 1 << var7) > 0) {
                     this.aByteArray5929[var7] = var8++;
                  } else {
                     this.aByteArray5929[var7] = -1;
                  }
               }
            }
         }
      }

   }

   public final boolean method8307() {
      return 1562473701 * this.anInt5922 == -1?true:this.aClass498_5925.aClass253_5940.method4506(1562473701 * this.anInt5922, 0, (byte)34);
   }

   void method8308(RS2Buffer var1, byte var2) {
      while(true) {
         int var3 = var1.readUnsignedByte(-700559597);
         if(0 == var3) {
            return;
         }

         this.method8306(var1, var3, (byte)8);
      }
   }

   public final Class568 method8309(Class545 var1, int var2, Class477 var3, byte var4, int var5) {
      return this.method8310(var1, var2, false, (Class400)null, (Class400)null, 0, 0, 0, var3, var4, (byte)-37);
   }

   public final Class568 method8310(Class545 var1, int var2, boolean var3, Class400 var4, Class400 var5, int var6, int var7, int var8, Class477 var9, byte var10, byte var11) {
      int var12 = var2;
      var3 &= this.aByte5936 != 0;
      if(var9 != null) {
         var12 = var2 | var9.method7983(257675263);
      }

      if(var3) {
         var12 |= 3 == this.aByte5936?7:2;
      }

      if(-295189329 * this.anInt5928 != 128) {
         var12 |= 2;
      }

      if(128 != this.anInt5930 * 595873653 || this.anInt5932 * -339689735 != 0) {
         var12 |= 5;
      }

      Class564 var13 = this.aClass498_5925.aClass564_5943;
      Class568 var14;
      synchronized(var13) {
         var14 = (Class568)this.aClass498_5925.aClass564_5943.method11959((long)((this.anInt5920 = (this.anInt5920 * -1196329067 | -1659372711 * var1.anInt7353 << 29) * 677780413) * -1196329067));
      }

      if(null == var14 || var1.method11494(var14.m(), var12) != 0) {
         if(null != var14) {
            var12 = var1.method11495(var12, var14.m());
         }

         int var20 = var12;
         if(null != this.aShortArray5924) {
            var20 = var12 | 16384;
         }

         if(null != this.aShortArray5926) {
            var20 |= '\u8000';
         }

         Class96 var15 = Class96.method1867(this.aClass498_5925.aClass253_5940, 1562473701 * this.anInt5922, 0);
         if(var15 == null) {
            return null;
         }

         if(var15.anInt947 < 13) {
            var15.method1848(2);
         }

         var14 = var1.method11493(var15, var20, -777557245 * this.aClass498_5925.anInt5942, 64 + 1815247445 * this.anInt5934, -755428639 * this.anInt5931 + 850);
         int var16;
         if(this.aShortArray5924 != null) {
            for(var16 = 0; var16 < this.aShortArray5924.length; ++var16) {
               var14.X(this.aShortArray5924[var16], this.aShortArray5921[var16]);
            }
         }

         if(this.aShortArray5926 != null) {
            for(var16 = 0; var16 < this.aShortArray5926.length; ++var16) {
               var14.W(this.aShortArray5926[var16], this.aShortArray5927[var16]);
            }
         }

         var14.KA(var12);
         Class564 var22 = this.aClass498_5925.aClass564_5943;
         synchronized(var22) {
            this.aClass498_5925.aClass564_5943.method11958(var14, (long)((this.anInt5920 = 677780413 * (this.anInt5920 * -1196329067 | var1.anInt7353 * -1659372711 << 29)) * -1196329067));
         }
      }

      Class568 var21 = var14.method12060(var10, var12, true);
      if(var9 != null) {
         var9.method8040(var21, 0, 440287464);
      }

      if(128 != this.anInt5930 * 595873653 || -295189329 * this.anInt5928 != 128) {
         var21.oa(595873653 * this.anInt5930, this.anInt5928 * -295189329, this.anInt5930 * 595873653);
      }

      if(-339689735 * this.anInt5932 != 0) {
         if(-339689735 * this.anInt5932 == 90) {
            var21.f(4096);
         }

         if(this.anInt5932 * -339689735 == 180) {
            var21.f(8192);
         }

         if(270 == this.anInt5932 * -339689735) {
            var21.f(12288);
         }
      }

      if(var3) {
         var21.pa(this.aByte5936, -1632735435 * this.anInt5933, var4, var5, var6, var7, var8);
      }

      var21.KA(var2);
      return var21;
   }

   public final boolean method8311(int var1) {
      return 1562473701 * this.anInt5922 == -1?true:this.aClass498_5925.aClass253_5940.method4506(1562473701 * this.anInt5922, 0, (byte)44);
   }

   void method8312(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(0 == var2) {
            return;
         }

         this.method8306(var1, var2, (byte)-61);
      }
   }

   void method8313(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(0 == var2) {
            return;
         }

         this.method8306(var1, var2, (byte)-12);
      }
   }

   public final Class568 method8314(Class545 var1, int var2, Class477 var3, byte var4) {
      return this.method8310(var1, var2, false, (Class400)null, (Class400)null, 0, 0, 0, var3, var4, (byte)3);
   }

   void method8315(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(0 == var2) {
            return;
         }

         this.method8306(var1, var2, (byte)-49);
      }
   }

   void method8316(RS2Buffer var1, int var2) {
      if(var2 == 1) {
         this.anInt5922 = var1.readLargeSmart(1912160290) * -1249433363;
      } else if(var2 == 2) {
         this.anInt5923 = var1.readLargeSmart(2002206478) * -373049751;
      } else if(4 == var2) {
         this.anInt5930 = var1.readUnsignedShort(-937710807) * 1399113949;
      } else if(var2 == 5) {
         this.anInt5928 = var1.readUnsignedShort(-937710807) * 901386831;
      } else if(var2 == 6) {
         this.anInt5932 = var1.readUnsignedShort(-937710807) * 2134483785;
      } else if(7 == var2) {
         this.anInt5934 = var1.readUnsignedByte(-700559597) * -556354819;
      } else if(var2 == 8) {
         this.anInt5931 = var1.readUnsignedByte(-700559597) * 968339745;
      } else if(9 == var2) {
         this.aByte5936 = 3;
         this.anInt5933 = 765002656;
      } else if(var2 == 10) {
         this.aBool5935 = true;
      } else if(11 == var2) {
         this.aByte5936 = 1;
      } else if(12 == var2) {
         this.aByte5936 = 4;
      } else if(var2 == 13) {
         this.aByte5936 = 5;
      } else if(var2 == 14) {
         this.aByte5936 = 2;
         this.anInt5933 = var1.readUnsignedByte(-700559597) * -1045750528;
      } else if(var2 == 15) {
         this.aByte5936 = 3;
         this.anInt5933 = var1.readUnsignedShort(-937710807) * 1606527773;
      } else if(16 == var2) {
         this.aByte5936 = 3;
         this.anInt5933 = var1.readInt_(-1592897853) * 1606527773;
      } else {
         int var3;
         int var4;
         if(40 == var2) {
            var3 = var1.readUnsignedByte(-700559597);
            this.aShortArray5924 = new short[var3];
            this.aShortArray5921 = new short[var3];

            for(var4 = 0; var4 < var3; ++var4) {
               this.aShortArray5924[var4] = (short)var1.readUnsignedShort(-937710807);
               this.aShortArray5921[var4] = (short)var1.readUnsignedShort(-937710807);
            }
         } else if(41 == var2) {
            var3 = var1.readUnsignedByte(-700559597);
            this.aShortArray5926 = new short[var3];
            this.aShortArray5927 = new short[var3];

            for(var4 = 0; var4 < var3; ++var4) {
               this.aShortArray5926[var4] = (short)var1.readUnsignedShort(-937710807);
               this.aShortArray5927[var4] = (short)var1.readUnsignedShort(-937710807);
            }
         } else {
            int var5;
            int var6;
            byte var7;
            if(44 == var2) {
               var3 = var1.readUnsignedShort(-937710807);
               var4 = 0;

               for(var5 = var3; var5 > 0; var5 >>= 1) {
                  ++var4;
               }

               this.aByteArray5937 = new byte[var4];
               var7 = 0;

               for(var6 = 0; var6 < var4; ++var6) {
                  if((var3 & 1 << var6) > 0) {
                     this.aByteArray5937[var6] = var7++;
                  } else {
                     this.aByteArray5937[var6] = -1;
                  }
               }
            } else if(45 == var2) {
               var3 = var1.readUnsignedShort(-937710807);
               var4 = 0;

               for(var5 = var3; var5 > 0; var5 >>= 1) {
                  ++var4;
               }

               this.aByteArray5929 = new byte[var4];
               var7 = 0;

               for(var6 = 0; var6 < var4; ++var6) {
                  if((var3 & 1 << var6) > 0) {
                     this.aByteArray5929[var6] = var7++;
                  } else {
                     this.aByteArray5929[var6] = -1;
                  }
               }
            }
         }
      }

   }

   void method8317(RS2Buffer var1, int var2) {
      if(var2 == 1) {
         this.anInt5922 = var1.readLargeSmart(1717551798) * -1249433363;
      } else if(var2 == 2) {
         this.anInt5923 = var1.readLargeSmart(2012843117) * -373049751;
      } else if(4 == var2) {
         this.anInt5930 = var1.readUnsignedShort(-937710807) * 1399113949;
      } else if(var2 == 5) {
         this.anInt5928 = var1.readUnsignedShort(-937710807) * 901386831;
      } else if(var2 == 6) {
         this.anInt5932 = var1.readUnsignedShort(-937710807) * 2134483785;
      } else if(7 == var2) {
         this.anInt5934 = var1.readUnsignedByte(-700559597) * -556354819;
      } else if(var2 == 8) {
         this.anInt5931 = var1.readUnsignedByte(-700559597) * 968339745;
      } else if(9 == var2) {
         this.aByte5936 = 3;
         this.anInt5933 = 765002656;
      } else if(var2 == 10) {
         this.aBool5935 = true;
      } else if(11 == var2) {
         this.aByte5936 = 1;
      } else if(12 == var2) {
         this.aByte5936 = 4;
      } else if(var2 == 13) {
         this.aByte5936 = 5;
      } else if(var2 == 14) {
         this.aByte5936 = 2;
         this.anInt5933 = var1.readUnsignedByte(-700559597) * -1045750528;
      } else if(var2 == 15) {
         this.aByte5936 = 3;
         this.anInt5933 = var1.readUnsignedShort(-937710807) * 1606527773;
      } else if(16 == var2) {
         this.aByte5936 = 3;
         this.anInt5933 = var1.readInt_(1120119261) * 1606527773;
      } else {
         int var3;
         int var4;
         if(40 == var2) {
            var3 = var1.readUnsignedByte(-700559597);
            this.aShortArray5924 = new short[var3];
            this.aShortArray5921 = new short[var3];

            for(var4 = 0; var4 < var3; ++var4) {
               this.aShortArray5924[var4] = (short)var1.readUnsignedShort(-937710807);
               this.aShortArray5921[var4] = (short)var1.readUnsignedShort(-937710807);
            }
         } else if(41 == var2) {
            var3 = var1.readUnsignedByte(-700559597);
            this.aShortArray5926 = new short[var3];
            this.aShortArray5927 = new short[var3];

            for(var4 = 0; var4 < var3; ++var4) {
               this.aShortArray5926[var4] = (short)var1.readUnsignedShort(-937710807);
               this.aShortArray5927[var4] = (short)var1.readUnsignedShort(-937710807);
            }
         } else {
            int var5;
            int var6;
            byte var7;
            if(44 == var2) {
               var3 = var1.readUnsignedShort(-937710807);
               var4 = 0;

               for(var5 = var3; var5 > 0; var5 >>= 1) {
                  ++var4;
               }

               this.aByteArray5937 = new byte[var4];
               var7 = 0;

               for(var6 = 0; var6 < var4; ++var6) {
                  if((var3 & 1 << var6) > 0) {
                     this.aByteArray5937[var6] = var7++;
                  } else {
                     this.aByteArray5937[var6] = -1;
                  }
               }
            } else if(45 == var2) {
               var3 = var1.readUnsignedShort(-937710807);
               var4 = 0;

               for(var5 = var3; var5 > 0; var5 >>= 1) {
                  ++var4;
               }

               this.aByteArray5929 = new byte[var4];
               var7 = 0;

               for(var6 = 0; var6 < var4; ++var6) {
                  if((var3 & 1 << var6) > 0) {
                     this.aByteArray5929[var6] = var7++;
                  } else {
                     this.aByteArray5929[var6] = -1;
                  }
               }
            }
         }
      }

   }

   public final Class568 method8318(Class545 var1, int var2, Class477 var3, byte var4) {
      return this.method8310(var1, var2, false, (Class400)null, (Class400)null, 0, 0, 0, var3, var4, (byte)-64);
   }

   public final Class568 method8319(Class545 var1, int var2, boolean var3, Class400 var4, Class400 var5, int var6, int var7, int var8, Class477 var9, byte var10) {
      int var11 = var2;
      var3 &= this.aByte5936 != 0;
      if(var9 != null) {
         var11 = var2 | var9.method7983(257675263);
      }

      if(var3) {
         var11 |= 3 == this.aByte5936?7:2;
      }

      if(-295189329 * this.anInt5928 != 128) {
         var11 |= 2;
      }

      if(128 != this.anInt5930 * 595873653 || this.anInt5932 * -339689735 != 0) {
         var11 |= 5;
      }

      Class564 var12 = this.aClass498_5925.aClass564_5943;
      Class568 var13;
      synchronized(var12) {
         var13 = (Class568)this.aClass498_5925.aClass564_5943.method11959((long)((this.anInt5920 = (this.anInt5920 * -1196329067 | -1659372711 * var1.anInt7353 << 29) * 677780413) * -1196329067));
      }

      if(null == var13 || var1.method11494(var13.m(), var11) != 0) {
         if(null != var13) {
            var11 = var1.method11495(var11, var13.m());
         }

         int var19 = var11;
         if(null != this.aShortArray5924) {
            var19 = var11 | 16384;
         }

         if(null != this.aShortArray5926) {
            var19 |= '\u8000';
         }

         Class96 var14 = Class96.method1867(this.aClass498_5925.aClass253_5940, 1562473701 * this.anInt5922, 0);
         if(var14 == null) {
            return null;
         }

         if(var14.anInt947 < 13) {
            var14.method1848(2);
         }

         var13 = var1.method11493(var14, var19, -777557245 * this.aClass498_5925.anInt5942, 64 + 1815247445 * this.anInt5934, -755428639 * this.anInt5931 + 850);
         int var15;
         if(this.aShortArray5924 != null) {
            for(var15 = 0; var15 < this.aShortArray5924.length; ++var15) {
               var13.X(this.aShortArray5924[var15], this.aShortArray5921[var15]);
            }
         }

         if(this.aShortArray5926 != null) {
            for(var15 = 0; var15 < this.aShortArray5926.length; ++var15) {
               var13.W(this.aShortArray5926[var15], this.aShortArray5927[var15]);
            }
         }

         var13.KA(var11);
         Class564 var21 = this.aClass498_5925.aClass564_5943;
         synchronized(var21) {
            this.aClass498_5925.aClass564_5943.method11958(var13, (long)((this.anInt5920 = 677780413 * (this.anInt5920 * -1196329067 | var1.anInt7353 * -1659372711 << 29)) * -1196329067));
         }
      }

      Class568 var20 = var13.method12060(var10, var11, true);
      if(var9 != null) {
         var9.method8040(var20, 0, 1399250433);
      }

      if(128 != this.anInt5930 * 595873653 || -295189329 * this.anInt5928 != 128) {
         var20.oa(595873653 * this.anInt5930, this.anInt5928 * -295189329, this.anInt5930 * 595873653);
      }

      if(-339689735 * this.anInt5932 != 0) {
         if(-339689735 * this.anInt5932 == 90) {
            var20.f(4096);
         }

         if(this.anInt5932 * -339689735 == 180) {
            var20.f(8192);
         }

         if(270 == this.anInt5932 * -339689735) {
            var20.f(12288);
         }
      }

      if(var3) {
         var20.pa(this.aByte5936, -1632735435 * this.anInt5933, var4, var5, var6, var7, var8);
      }

      var20.KA(var2);
      return var20;
   }

   public final Class568 method8320(Class545 var1, int var2, boolean var3, Class400 var4, Class400 var5, int var6, int var7, int var8, Class477 var9, byte var10) {
      int var11 = var2;
      var3 &= this.aByte5936 != 0;
      if(var9 != null) {
         var11 = var2 | var9.method7983(257675263);
      }

      if(var3) {
         var11 |= 3 == this.aByte5936?7:2;
      }

      if(-295189329 * this.anInt5928 != 128) {
         var11 |= 2;
      }

      if(128 != this.anInt5930 * 595873653 || this.anInt5932 * -339689735 != 0) {
         var11 |= 5;
      }

      Class564 var12 = this.aClass498_5925.aClass564_5943;
      Class568 var13;
      synchronized(var12) {
         var13 = (Class568)this.aClass498_5925.aClass564_5943.method11959((long)((this.anInt5920 = (this.anInt5920 * -1196329067 | -1659372711 * var1.anInt7353 << 29) * 677780413) * -1196329067));
      }

      if(null == var13 || var1.method11494(var13.m(), var11) != 0) {
         if(null != var13) {
            var11 = var1.method11495(var11, var13.m());
         }

         int var19 = var11;
         if(null != this.aShortArray5924) {
            var19 = var11 | 16384;
         }

         if(null != this.aShortArray5926) {
            var19 |= '\u8000';
         }

         Class96 var14 = Class96.method1867(this.aClass498_5925.aClass253_5940, 1562473701 * this.anInt5922, 0);
         if(var14 == null) {
            return null;
         }

         if(var14.anInt947 < 13) {
            var14.method1848(2);
         }

         var13 = var1.method11493(var14, var19, -777557245 * this.aClass498_5925.anInt5942, 64 + 1815247445 * this.anInt5934, -755428639 * this.anInt5931 + 850);
         int var15;
         if(this.aShortArray5924 != null) {
            for(var15 = 0; var15 < this.aShortArray5924.length; ++var15) {
               var13.X(this.aShortArray5924[var15], this.aShortArray5921[var15]);
            }
         }

         if(this.aShortArray5926 != null) {
            for(var15 = 0; var15 < this.aShortArray5926.length; ++var15) {
               var13.W(this.aShortArray5926[var15], this.aShortArray5927[var15]);
            }
         }

         var13.KA(var11);
         Class564 var21 = this.aClass498_5925.aClass564_5943;
         synchronized(var21) {
            this.aClass498_5925.aClass564_5943.method11958(var13, (long)((this.anInt5920 = 677780413 * (this.anInt5920 * -1196329067 | var1.anInt7353 * -1659372711 << 29)) * -1196329067));
         }
      }

      Class568 var20 = var13.method12060(var10, var11, true);
      if(var9 != null) {
         var9.method8040(var20, 0, -987552669);
      }

      if(128 != this.anInt5930 * 595873653 || -295189329 * this.anInt5928 != 128) {
         var20.oa(595873653 * this.anInt5930, this.anInt5928 * -295189329, this.anInt5930 * 595873653);
      }

      if(-339689735 * this.anInt5932 != 0) {
         if(-339689735 * this.anInt5932 == 90) {
            var20.f(4096);
         }

         if(this.anInt5932 * -339689735 == 180) {
            var20.f(8192);
         }

         if(270 == this.anInt5932 * -339689735) {
            var20.f(12288);
         }
      }

      if(var3) {
         var20.pa(this.aByte5936, -1632735435 * this.anInt5933, var4, var5, var6, var7, var8);
      }

      var20.KA(var2);
      return var20;
   }

   public final Class568 method8321(Class545 var1, int var2, boolean var3, Class400 var4, Class400 var5, int var6, int var7, int var8, Class477 var9, byte var10) {
      int var11 = var2;
      var3 &= this.aByte5936 != 0;
      if(var9 != null) {
         var11 = var2 | var9.method7983(257675263);
      }

      if(var3) {
         var11 |= 3 == this.aByte5936?7:2;
      }

      if(-295189329 * this.anInt5928 != 128) {
         var11 |= 2;
      }

      if(128 != this.anInt5930 * 595873653 || this.anInt5932 * -339689735 != 0) {
         var11 |= 5;
      }

      Class564 var12 = this.aClass498_5925.aClass564_5943;
      Class568 var13;
      synchronized(var12) {
         var13 = (Class568)this.aClass498_5925.aClass564_5943.method11959((long)((this.anInt5920 = (this.anInt5920 * -1196329067 | -1659372711 * var1.anInt7353 << 29) * 677780413) * -1196329067));
      }

      if(null == var13 || var1.method11494(var13.m(), var11) != 0) {
         if(null != var13) {
            var11 = var1.method11495(var11, var13.m());
         }

         int var19 = var11;
         if(null != this.aShortArray5924) {
            var19 = var11 | 16384;
         }

         if(null != this.aShortArray5926) {
            var19 |= '\u8000';
         }

         Class96 var14 = Class96.method1867(this.aClass498_5925.aClass253_5940, 1562473701 * this.anInt5922, 0);
         if(var14 == null) {
            return null;
         }

         if(var14.anInt947 < 13) {
            var14.method1848(2);
         }

         var13 = var1.method11493(var14, var19, -777557245 * this.aClass498_5925.anInt5942, 64 + 1815247445 * this.anInt5934, -755428639 * this.anInt5931 + 850);
         int var15;
         if(this.aShortArray5924 != null) {
            for(var15 = 0; var15 < this.aShortArray5924.length; ++var15) {
               var13.X(this.aShortArray5924[var15], this.aShortArray5921[var15]);
            }
         }

         if(this.aShortArray5926 != null) {
            for(var15 = 0; var15 < this.aShortArray5926.length; ++var15) {
               var13.W(this.aShortArray5926[var15], this.aShortArray5927[var15]);
            }
         }

         var13.KA(var11);
         Class564 var21 = this.aClass498_5925.aClass564_5943;
         synchronized(var21) {
            this.aClass498_5925.aClass564_5943.method11958(var13, (long)((this.anInt5920 = 677780413 * (this.anInt5920 * -1196329067 | var1.anInt7353 * -1659372711 << 29)) * -1196329067));
         }
      }

      Class568 var20 = var13.method12060(var10, var11, true);
      if(var9 != null) {
         var9.method8040(var20, 0, 280183824);
      }

      if(128 != this.anInt5930 * 595873653 || -295189329 * this.anInt5928 != 128) {
         var20.oa(595873653 * this.anInt5930, this.anInt5928 * -295189329, this.anInt5930 * 595873653);
      }

      if(-339689735 * this.anInt5932 != 0) {
         if(-339689735 * this.anInt5932 == 90) {
            var20.f(4096);
         }

         if(this.anInt5932 * -339689735 == 180) {
            var20.f(8192);
         }

         if(270 == this.anInt5932 * -339689735) {
            var20.f(12288);
         }
      }

      if(var3) {
         var20.pa(this.aByte5936, -1632735435 * this.anInt5933, var4, var5, var6, var7, var8);
      }

      var20.KA(var2);
      return var20;
   }

   void method8322(RS2Buffer var1) {
      while(true) {
         int var2 = var1.readUnsignedByte(-700559597);
         if(0 == var2) {
            return;
         }

         this.method8306(var1, var2, (byte)-22);
      }
   }

   public final Class568 method8323(Class545 var1, int var2, Class477 var3, byte var4) {
      return this.method8310(var1, var2, false, (Class400)null, (Class400)null, 0, 0, 0, var3, var4, (byte)16);
   }

   static final void method8324(Class508 var0, int var1) {
      if(1881519639 * client.anInt7734 == 15 && !Class225_Sub21_Sub3.method15650((byte)-28)) {
         if(Class419.aBool5321) {
            var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 0;
         } else if(Class419.aLong5330 * -8765909074338519209L > Class339.method6240(1706163766) - 1000L) {
            var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 1;
         } else {
            Class419.aBool5321 = true;
            Class225_Sub15 var2 = Class543.method11415(OutgoingOpcode.aClass302_3856, client.aClass180_7703.aClass433_2184, (byte)1);
            var2.buffer.writeInt(1128008955 * Class204.anInt2416, -1206978885);
            client.aClass180_7703.method3191(var2, (byte)-54);
            var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 0;
         }

      } else {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 1;
      }
   }

   static final void method8325(Class508 var0, byte var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub16_8474.method12938((byte)14)?1:0;
   }
}
